using System;

internal sealed class Delegate652 : MulticastDelegate
{
	public extern double Invoke(double double_0, double double_1);

	public static double smethod_0(double double_0, double double_1, Delegate652 delegate652_1)
	{
		return delegate652_1(double_0, double_1);
	}

	public extern Delegate652(object object_0, IntPtr intptr_0);

	static Delegate652()
	{
		Class10.smethod_13(typeof(Delegate652).TypeHandle);
	}

	internal static Delegate652 delegate652_0;
}
